Package net.paulhertz.pixelaudio.granular

# Enum Class GestureGranularConfig.WarpShape

java.lang.Object
java.lang.Enum<GestureGranularConfig.WarpShape>
net.paulhertz.pixelaudio.granular.GestureGranularConfig.WarpShape

All Implemented Interfaces:
  `Serializable`, `Comparable<GestureGranularConfig.WarpShape>`, `Constable`

Enclosing class:
  GestureGranularConfig

public static enum GestureGranularConfig.WarpShape extends Enum<GestureGranularConfig.WarpShape>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CUSTOM`
  `EXP`
  `LINEAR`
  `SQRT`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `private`
  `WarpShape()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static GestureGranularConfig.WarpShape`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static GestureGranularConfig.WarpShape[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LINEAR

    public static final GestureGranularConfig.WarpShape LINEAR

  - ### EXP

    public static final GestureGranularConfig.WarpShape EXP

  - ### SQRT

    public static final GestureGranularConfig.WarpShape SQRT

  - ### CUSTOM

    public static final GestureGranularConfig.WarpShape CUSTOM

- ## Constructor Details

  - ### WarpShape

    private WarpShape()

- ## Method Details

  - ### values

    public static GestureGranularConfig.WarpShape[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static GestureGranularConfig.WarpShape valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null